<?php

/**
 * Template Name: News
 */

get_header();

?>
  <?php if ( have_posts() ) { ?>
    <main class="main-content">
      <div class="page-main">
        <div class="container">
          <?php
      			if ( is_author() ) {
      				if ( get_query_var( 'author_name' ) ) {
      					$curauth = get_user_by( 'login', get_query_var( 'author_name' ) );
      				} else {
      					$curauth = get_userdata( get_query_var( 'author' ) );
      				}
      			}
      		?>

      		<?php if ( is_category() ) { ?>
      			<h1 class="archive-title"><?php printf( __( 'All posts in %s', 'architecture' ), single_cat_title( '', false ) ); ?></h1>
      		<?php } elseif ( is_tag() ) { ?>
      			<h1 class="archive-title"><?php printf( __( 'All posts tagged %s', 'architecture' ), single_tag_title( '', false ) ); ?></h1>
      		<?php } elseif ( is_day() ) { ?>
      			<h1 class="archive-title"><?php _e( 'Archive for', 'architecture' ); ?> <?php the_time( get_option( 'date_format' ) ); ?></h1>
      		<?php } elseif ( is_month() ) { ?>
      			<h1 class="archive-title"><?php _e( 'Archive for', 'architecture' ); ?> <?php the_time( 'F, Y' ); ?></h1>
      		<?php } elseif ( is_year() ) { ?>
      			<h1 class="archive-title"><?php _e( 'Archive for', 'architecture' ); ?> <?php the_time( 'Y' ); ?></h1>
      		<?php } elseif ( is_author() ) { ?>
      			<h1 class="archive-title"><?php _e( 'All posts by', 'architecture' ); ?> <?php echo '<span itemprop="author" itemscope="" itemtype="http://schema.org/Person">' . $curauth->display_name . '</span>'; ?></h1>
      		<?php } elseif ( isset( $_GET['paged'] ) && ! empty ( $_GET['paged'] ) ) { ?>
      			<h1 class="archive-title"><?php _e( 'Blog Archives', 'architecture' ); ?></h1>
      		<?php } ?>

          <ul class="news-list">
            <?php while( have_posts() ) { the_post(); ?>
              <li>
                <figure><img src="<?php the_post_thumbnail_url( 'full' ); ?>" alt="<?php the_title(); ?>" /></figure>
                <h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <div class="date"><?php the_time( 'd.m.Y' ); ?></div>
                <p><?php echo get_post_meta( get_the_ID(), '_tz_post_summary', true ); ?></p>
              </li>
            <?php } ?>
          </ul>

          <div class="post-nav clear">
            <div class="nav-previous"><?php next_posts_link( __( 'Older', 'architecture' ) ); ?></div>
        		<div class="nav-next"><?php previous_posts_link( __( 'Newer', 'architecture' ) ); ?></div>
          </div>
        </div>
      </div>
    </main>
  <?php } ?>
<?php get_footer(); ?>
