<?php

add_action( 'customize_register' , array( 'tz_customizer' , 'register' ) );
class tz_customizer {
  public static function register ( $wp_customize ) {
    $wp_customize->add_panel( 'themezy', array(
      'priority'       => 5,
      'capability'     => 'edit_theme_options',
      'theme_supports' => '',
      'title'          => __( 'Themezy', 'architecture' ),
      'description'    => __( 'Several settings pertaining on the theme', 'architecture' ),
    ) );

    $wp_customize->add_section( 'tz_general',
       array(
          'title' => __( 'General', 'architecture' ),
          'priority' => 35,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize some general settings for the theme.', 'architecture' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_logo', array( 'sanitize_callback' => 'esc_url' ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tz_logo', array(
        'label'    => __( 'Logo', 'architecture' ),
        'section'  => 'tz_general',
        'settings' => 'tz_logo',
    ) ) );

    $wp_customize->add_setting( 'tz_section_bg', array( 'sanitize_callback' => 'esc_url' ) );

    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'tz_section_bg', array(
        'label'    => __( 'Section Background', 'architecture' ),
        'section'  => 'tz_general',
        'settings' => 'tz_section_bg',
    ) ) );

    $wp_customize->add_section( 'tz_slide',
       array(
          'title' => __( 'Slide', 'architecture' ),
          'priority' => 37,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize the slide.', 'architecture' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_slide_numbers', array( 'default' => 5, 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_slide_numbers', array(
        'type'     => 'text',
        'label'    => __( 'Slide numbers to display', 'architecture' ),
        'section'  => 'tz_slide',
        'settings' => 'tz_slide_numbers',
    ) ) );

    $wp_customize->add_section( 'tz_portfolio',
       array(
          'title' => __( 'Portfolio', 'architecture' ),
          'priority' => 38,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize the portfolio.', 'architecture' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_homepage_portfolio_numbers', array( 'default' => 4, 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_homepage_portfolio_numbers', array(
        'type'     => 'text',
        'label'    => __( 'Portfolio numbers to display in homepage', 'architecture' ),
        'section'  => 'tz_portfolio',
        'settings' => 'tz_homepage_portfolio_numbers',
    ) ) );

    $wp_customize->add_setting( 'tz_portfolio_page', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new Page_Dropdown_Custom_Control( $wp_customize, 'tz_portfolio_page', array(
        'label'    => __( 'Select your portfolio page', 'architecture' ),
        'section'  => 'tz_portfolio',
        'settings' => 'tz_portfolio_page',
    ) ) );

    $wp_customize->add_section( 'tz_service',
       array(
          'title' => __( 'Service', 'architecture' ),
          'priority' => 39,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize the service.', 'architecture' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_homepage_service_numbers', array( 'default' => 3, 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_homepage_service_numbers', array(
        'type'     => 'text',
        'label'    => __( 'Service numbers to display in homepage', 'architecture' ),
        'section'  => 'tz_service',
        'settings' => 'tz_homepage_service_numbers',
    ) ) );

    $wp_customize->add_section( 'tz_testimonial',
       array(
          'title' => __( 'Testimonial', 'architecture' ),
          'priority' => 39,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize the testimonial.', 'architecture' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_homepage_testimonial_numbers', array( 'default' => 3, 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_homepage_testimonial_numbers', array(
        'type'     => 'text',
        'label'    => __( 'Testimonial numbers to display in homepage', 'architecture' ),
        'section'  => 'tz_testimonial',
        'settings' => 'tz_homepage_testimonial_numbers',
    ) ) );

    $wp_customize->add_section( 'tz_blog',
       array(
          'title' => __( 'Blog', 'architecture' ),
          'priority' => 39,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize the blog.', 'architecture' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_homepage_blog_numbers', array( 'default' => 3, 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_homepage_blog_numbers', array(
        'type'     => 'text',
        'label'    => __( 'Blog numbers to display in homepage', 'architecture' ),
        'section'  => 'tz_blog',
        'settings' => 'tz_homepage_blog_numbers',
    ) ) );

    $wp_customize->add_section( 'tz_contact',
       array(
          'title' => __( 'Contact', 'architecture' ),
          'priority' => 45,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize contact template.', 'architecture' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_contact_email', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_contact_email', array(
        'type'     => 'text',
        'label'    => __( 'Your contact email', 'architecture' ),
        'section'  => 'tz_contact',
        'settings' => 'tz_contact_email',
    ) ) );

    $wp_customize->add_setting( 'tz_google_map', array( 'sanitize_callback' => 'esc_textarea' ) );

    $wp_customize->add_control( new Textarea_Custom_Control( $wp_customize, 'tz_google_map', array(
        'label'    => __( 'Your google map script', 'architecture' ),
        'section'  => 'tz_contact',
        'settings' => 'tz_google_map',
    ) ) );

    $wp_customize->add_section( 'tz_social',
       array(
          'title' => __( 'Social Media', 'architecture' ),
          'priority' => 45,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize social media link.', 'architecture' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_facebook', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_facebook', array(
        'type'     => 'text',
        'label'    => __( 'Your Facebook username', 'architecture' ),
        'section'  => 'tz_social',
        'settings' => 'tz_facebook',
    ) ) );

    $wp_customize->add_setting( 'tz_twitter', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_twitter', array(
        'type'     => 'text',
        'label'    => __( 'Your Twitter username', 'architecture' ),
        'section'  => 'tz_social',
        'settings' => 'tz_twitter',
    ) ) );

    $wp_customize->add_setting( 'tz_google_plus', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_google_plus', array(
        'type'     => 'text',
        'label'    => __( 'Your Google+ ID', 'architecture' ),
        'section'  => 'tz_social',
        'settings' => 'tz_google_plus',
    ) ) );

    $wp_customize->add_setting( 'tz_pinterest', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_pinterest', array(
        'type'     => 'text',
        'label'    => __( 'Your Pinterest username', 'architecture' ),
        'section'  => 'tz_social',
        'settings' => 'tz_pinterest',
    ) ) );

    $wp_customize->add_section( 'tz_footer',
       array(
          'title' => __( 'Footer', 'architecture' ),
          'priority' => 46,
          'capability' => 'edit_theme_options',
          'description' => __( 'Allows you to customize the footer.', 'architecture' ),
          'panel' => 'themezy'
       )
    );

    $wp_customize->add_setting( 'tz_company_name', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_company_name', array(
        'type'     => 'text',
        'label'    => __( 'Your company name', 'architecture' ),
        'section'  => 'tz_footer',
        'settings' => 'tz_company_name',
    ) ) );

    $wp_customize->add_setting( 'tz_company_address', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_company_address', array(
        'type'     => 'text',
        'label'    => __( 'Your company address', 'architecture' ),
        'section'  => 'tz_footer',
        'settings' => 'tz_company_address',
    ) ) );

    $wp_customize->add_setting( 'tz_company_phone_number', array( 'sanitize_callback' => 'sanitize_text_field' ) );

    $wp_customize->add_control( new WP_Customize_Control( $wp_customize, 'tz_company_phone_number', array(
        'type'     => 'text',
        'label'    => __( 'Your company phone number', 'architecture' ),
        'section'  => 'tz_footer',
        'settings' => 'tz_company_phone_number',
    ) ) );

    $wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
    $wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
    $wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';
    $wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
   }
}
