<?php

/**
 * Template Name: News
 */

get_header();

if ( get_query_var('paged') )
  $paged = get_query_var('paged');
if ( get_query_var('page') )
  $paged = get_query_var('page');

$posts = new WP_Query( array( 'post_type' => 'post', 'posts_per_page' => get_option( 'posts_per_page' ), 'paged' => $paged ) );

?>
  <?php if ( $posts->have_posts() ) { ?>
    <main class="main-content">
      <div class="page-main">
        <div class="container">
          <?php $np = 0; while( $posts->have_posts() ) { $posts->the_post(); ?>
            <?php get_template_part( 'includes/time' ); ?>
              <li id="post-<?php the_id(); ?>" <?php post_class(); ?>>
                <figure><img src="<?php the_post_thumbnail_url( 'full' ); ?>" alt="<?php the_title(); ?>" /></figure>
                <h3 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                <div class="date"><?php the_time( 'd.m.Y' ); ?></div>
                <p><?php echo get_post_meta( get_the_ID(), '_tz_post_summary', true ); ?></p>
              </li>
          <?php } ?>
          </ul>

          <div class="post-nav clear">
            <div class="nav-previous"><?php next_posts_link( __( 'Older', 'architecture' ), $posts->max_num_pages ); ?></div>
        		<div class="nav-next"><?php previous_posts_link( __( 'Newer', 'architecture' ) ); ?></div>
          </div>
        </div>
      </div>
    </main>
  <?php } ?>
<?php get_footer(); ?>
