<?php

/**
 * Template Name: Portfolio
 */

get_header();

?>
  <main class="main-content">
    <div class="page-main">
      <div class="container">
        <?php while( have_posts() ) { the_post(); ?>
          <h2 class="entry-title"><?php the_title(); ?></h2>
          <?php the_content(); ?>
        <?php } ?>

        <?php
          $portfolio = new WP_Query( array( 'post_type' => 'tz_portfolio', 'posts_per_page' => -1 ) );
          if ( $portfolio->have_posts() ) {
            $types_list = get_categories( array( 'taxonomy' => 'tz_portfolio_type' ) );

        ?>
        <div class="filter-links filterable-nav">
          <select class="mobile-filter">
            <option value="*"><?php _e( 'Show all', 'architecture' ); ?></option>
            <?php
              if ( $types_list ) {
                foreach( $types_list as $type ) {
            ?>
              <option value=".<?php echo $type->slug; ?>"><?php echo $type->name; ?></option>
            <?php } } ?>
          </select>
          <a href="#" class="current wow fadeInRight" data-filter="*"><?php _e( 'Show all', 'architecture' ); ?></a>
          <?php
            if ( $types_list ) {
              foreach( $types_list as $type ) {
          ?>
            <a href="#" class="wow fadeInRight" data-wow-delay=".2s" data-filter=".<?php echo $type->slug; ?>"><?php echo $type->name; ?></a>
          <?php } } ?>
        </div>

          <div class="filterable-items">
            <?php
              while( $portfolio->have_posts() ) {
                $portfolio->the_post();
                $terms = get_the_terms( get_the_ID(), 'tz_portfolio_type' );
                if ( $terms && ! is_wp_error( $terms ) ) {
                  foreach( $terms as $k => $term ) {
                    $types[$k] = $term->name;
                    $classes[$k] = $term->slug;
                  }
                }
            ?>
              <div class="project-item filterable-item <?php echo implode( $classes, ' ' ); ?>">
                <figure class="featured-image">
                  <a href="<?php the_permalink(); ?>"><img src="<?php the_post_thumbnail_url( 'full' ); ?>" alt="<?php the_title(); ?>" /></a>
                  <figcaption>
                    <h2 class="project-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
                    <p class="project-subtotle"><?php echo ( isset( $types ) ) ? implode( $types, ', ' ) : ''; ?></p>
                    <p><?php echo strip_tags( get_post_meta( get_the_ID(), '_tz_portfolio_short_desc', true ), '<span><em><strong>' ); ?></p>
                    <a href="<?php the_permalink(); ?>" class="more-link"><img src="<?php echo get_template_directory_uri() . '/assets/images/arrow.png'; ?>" alt=""></a>
                  </figcaption>
                </figure>
              </div>
            <?php } ?>
          </div>
        <?php } wp_reset_query(); ?>
      </div>
    </div>
  </main>
<?php get_footer(); ?>
